Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456382 - lusermod does not search for duplicates
Summary: lusermod does not search for duplicates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libuser
Version: 12
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 646404
TreeView+ depends on / blocked
 
Reported: 2008-07-23 09:04 UTC by Milos Malik
Modified: 2010-10-25 10:15 UTC (History)
0 users

Fixed In Version: 0.56.13-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 646404 (view as bug list)
Environment:
Last Closed: 2009-12-27 20:26:00 UTC


Attachments (Terms of Use)

Description Milos Malik 2008-07-23 09:04:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.16) Gecko/20080715 Fedora/2.0.0.16-1.fc8 Firefox/2.0.0.16

Description of problem:
luseradd searches for duplicates, but lusermod does not.

Version-Release number of selected component (if applicable):
libuser-0.56.6-2

How reproducible:
Always


Steps to Reproduce:
# luseradd teus2
# echo $?
0
# luseradd teus2
Account creation failed: entry already present in file.
# echo $?
3
# luseradd teus1
# echo $?
0
# grep teus /etc/passwd
teus2:x:501:501:teus2:/home/teus2:/bin/bash
teus1:x:502:502:teus1:/home/teus1:/bin/bash
# grep teus /etc/shadow
teus2:!!:14083:0:99999:7:::
teus1:!!:14083:0:99999:7:::
# lusermod -l teus2 teus1
# echo $?
0
# grep teus /etc/passwd
teus2:x:502:502:teus1:/home/teus1:/bin/bash
teus2:x:502:502:teus1:/home/teus1:/bin/bash
# grep teus /etc/shadow
teus2:!!:14083:0:99999:7:::
teus2:!!:14083:0:99999:7:::
# grep teus /etc/group
teus2:x:501:
teus1:x:502:
# grep teus /etc/gshadow
teus2:!!::
teus1:!!::
#

Actual Results:
lusermod -l accepts a new user name which is duplicate of an existing one

Expected Results:
lusermod -l rejects a new user name which is duplicate of an existing one

Additional info:

Comment 1 Bug Zapper 2008-11-26 11:02:06 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-11-18 09:16:28 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Miloslav Trmač 2009-12-11 10:55:17 UTC
Fixed in rawhide and F-12 libuser-0.56.13.

Comment 5 Fedora Update System 2009-12-11 11:01:36 UTC
libuser-0.56.13-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libuser-0.56.13-1.fc12

Comment 6 Fedora Update System 2009-12-16 01:19:50 UTC
libuser-0.56.13-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libuser'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13228

Comment 7 Fedora Update System 2009-12-27 20:25:52 UTC
libuser-0.56.13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.